Subject: [bug#60576] [PATCH] gnu: patman: Fix incomplete get-maintainer patch.

From: Jelle Licht <[email-masked]>
Date: Fri, 06 Jan 2023 13:12:52 +0100

Maxim Cournoyer <[email-masked]> writes:

> The full set of patches already merged into the U-Boot is included for
> simplicity and avoiding mistakes like the previous one, where a conflicting
> hunk got dropped, causing the following error when running patman:
>
>     WARNING: Unknown setting get_maintainer_script
>
> * gnu/packages/bootloaders.scm (u-boot) [source]: Replace the
> u-boot-patman-fix-help.patch, u-boot-patman-local-conf.patch and
> u-boot-patman-get-maintainer.patch with u-boot-patman-guix-integration.patch.
> * gnu/local.mk (dist_patch_DATA): Update patch registrations.
> * gnu/packages/patches/u-boot-patman-fix-help.patch: Delete file.
> * gnu/packages/patches/u-boot-patman-get-maintainer.patch: Likewise.
> * gnu/packages/patches/u-boot-patman-local-conf.patch: Likewise.
> * gnu/packages/patches/u-boot-patman-guix-integration.patch: New file.
>
> Reported-by: Jelle Licht <[email-masked]>

I don't know the first thing about U-Boot, nor am I a poweruser of patman, but I
can confirm this fixes my issue.

Thanks!

- Jelle